> ## Documentation Index
> Fetch the complete documentation index at: https://docs.hel.io/llms.txt
> Use this file to discover all available pages before exploring further.

# Get a Deposit Customer (by customerId)

> Retrieves the customer associated with a specific deposit using the provided depositId and customerId.

<Info>
  **Note:** When using the production environment at [moonpay.hel.io](http://app.hel.io), set your API endpoint to `api.hel.io/v1` and generate API keys there. For the development environment, use `api.dev.hel.io/v1` and generate API keys from [moonpay.dev.hel.io](http://app.dev.hel.io).
</Info>


## OpenAPI

````yaml GET /v1/deposits/{depositId}/customer/{customerId}/api-key
openapi: 3.0.0
info:
  title: Helio Open API
  description: |-
    API schema and definitions for Helio API. <br/> 
          The API is using two types of Authentication, for dashboard endpoints we use <b>JSON Web Token (JWT)</b> that is generated by self custodial wallet signing a message from API.</br> 
          We also support authentication with <b>API Key and Secret</b> which can be generated on <a href='https://hel.io'>Helio dashboard</a>.
  version: 1.0.0
  contact: {}
servers:
  - description: Helio API (Mainnet)
    url: https://api.hel.io
  - description: Helio API (Devnet)
    url: https://api.dev.hel.io
security: []
tags:
  - name: Webhooks
  - name: Exports
  - name: Currencies
    description: >-
      Supported currencies endpoint, includes fiat and digital assets
      </br><i>Authentication: </i><b>None</b>
externalDocs:
  description: Helio product documentation
  url: https://docs.hel.io/
paths:
  /v1/deposits/{depositId}/customer/{customerId}/api-key:
    get:
      tags:
        - Deposits
      summary: Get a Deposit Customer (by customerId)
      description: >-
        Retrieves the customer associated with a specific deposit using the
        provided `depositId` and `customerId`.
      operationId: DepositController_getCustomerById
      parameters:
        - name: depositId
          in: path
          required: true
          description: The unique ID of the deposit.
          schema:
            type: string
        - name: customerId
          in: path
          required: true
          description: The unique ID of the customer associated with the deposit.
          schema:
            type: string
        - name: apiKey
          in: query
          required: true
          description: >-
            Your API key, which can be generated from the Helio Dashboard
            settings page.
          schema:
            type: string
      responses:
        '200':
          description: The deposit customer was retrieved successfully
          content:
            application/json:
              schema:
                items:
                  $ref: '#/components/schemas/UpdateDepositCustomer'
              examples:
                exportedPaymentsList:
                  summary: >-
                    Example of a successful get deposit customer by customerId
                    response
                  value:
                    id: 695becf08afd9fceb3767369
                    deposit: 695beb0732b11192df71015b
                    token: 984a783c-d246-4199-9cc3-bdffab9e6ada
                    customerId: test12
                    customerEmail: jesse@helio.io
                    recipientPublicKeys:
                      - 7YancRyNQyp9s6G7YNwx9H93UqswoKWqF9GuNJPufyvW
                    disabled: false
        '401':
          description: Provided API key has no access to the resource.
          content:
            application/json:
              examples:
                unauthorized:
                  summary: Invalid or missing API key
                  value:
                    message: Api key or token is invalid
                    code: 401
      security:
        - bearer: []
components:
  schemas:
    UpdateDepositCustomer:
      type: object
      properties:
        recipientPublicKeys:
          type: array
          description: List of recipient public keys.
          items:
            type: string
        disabled:
          type: boolean
          description: >-
            Indicates whether the deposit customer is enabled or disabled. Set
            to true to disable, or false to enable.
        additionalJSON:
          type: string
          description: Optional JSON string containing metadata.
  securitySchemes:
    bearer:
      type: http
      scheme: bearer
      bearerFormat: JWT
      description: Authentication using JWT token

````